Project

General

Profile

Anomalie #3809

pad.april.org : absence de mise à jour

Added by Christian P. Momon 3 months ago. Updated 24 days ago.

Status:
Fermé
Priority:
Élevée
Assignee:
Category:
-
Target version:
Start date:
07/14/2019
Due date:
% Done:

100%

Difficulté:
2 Facile

Description

Dans la procédure d'installation du service pad.april.org, on peut lire :
https://admin.april.org/doku.php?id=sysadm:liste_des_machines:pad&#installation_des_pre-requis

Ajout dépôt nodejs de nodejs (version récente requise) :

> deb https://deb.nodesource.com/node_6.x stretch main
> deb-src https://deb.nodesource.com/node_6.x stretch main

Mais actuellement :

(April) root@pad:/etc/apt[master]# grep -ri "nodesource" /etc/apt/
Binary file /etc/apt/trusted.gpg matches
(April) root@pad:/etc/apt[master]#

Donc le dépôt Nodesource n'est plus utilisé dans les mises à jour.
Et donc Nodejs n'est plus à jour.

Ceci se constate en comparant la dernière version installée et la dernière version disponible :

(April) root@pad:/srv/etherpad-lite[live-1.7.0$%]# node -v
v6.13.0
(April) root@pad:/srv/etherpad-lite[live-1.7.0$%]# dpkg -l nodejs
Desired=Unknown/Install/Remove/Purge/Hold
ii  nodejs                                                      6.13.0-1nodesource1                amd64                              Node.js event-based server-side javascript engine

(April) root@pad:/srv/etherpad-lite[live-1.7.0$%]# curl  https://deb.nodesource.com/node_6.x/dists/stretch/main/binary-amd64/Packages 2>/dev/null | head -2
Package: nodejs
Version: 6.17.1-1nodesource1

La version 6.* est EOL depuis Avril 2019. Pour bénéficier des mises à jour de sécurité il faut upgrade à la version 10.*. La version 8.* est maintenue jusque Décembre 2019 seulement et la version 12 est encore en préparation donc pas assez stable pour une installation en production.

Demande :
  • rajouter un fichier /etc/apt/souce.list.d/nodejs.list ;
  • mettre à jour NodeJS.

Related issues

Related to Admins - Anomalie #3814: pad.april.org : deux versions différentes de npm cohabitent Nouveau 07/14/2019

History

#1 Updated by Christian P. Momon 3 months ago

  • Tracker changed from Demande to Anomalie
  • Priority changed from Normale to Élevée

#2 Updated by Loïc Dachary about 1 month ago

  • Description updated (diff)

#3 Updated by Loïc Dachary about 1 month ago

  • Description updated (diff)

#4 Updated by Loïc Dachary about 1 month ago

  • Related to Anomalie #3814: pad.april.org : deux versions différentes de npm cohabitent added

#5 Updated by Loïc Dachary about 1 month ago

Je propose les actions suivantes:

  • cat > /etc/apt/sources.list.d/nodejs.list <<EOF
    deb https://deb.nodesource.com/node_6.x stretch main
    deb-src https://deb.nodesource.com/node_6.x stretch main
    EOF
    wget --quiet -O - https://deb.nodesource.com/gpgkey/nodesource.gpg.key | sudo apt-key add -
    apt-get update
    
  • Annonce sur #april + Mettre la page de maintenance (comment ?)
  • systemctl stop etherpad-lite.service
    apt-get install nodejs
    systemctl start etherpad-lite.service
    
  • Dérouler les tests manuels
  • Annonce sur #april + Enlever la page de maintenance (comment ?)

#6 Updated by Quentin Gibeaux about 1 month ago

Sur bastion
https://admin.april.org/doku.php?id=sysadm:nginx&s[]=maintenance#mode_maintenance
+ nginx -t pour tester la config
+ systemctl reload nginx

#7 Updated by Loïc Dachary about 1 month ago

  • Status changed from Nouveau to Résolu
  • Target version changed from Backlog to Septembre 2019
  • % Done changed from 0 to 100

L'upgrade est terminé comme décrit

#8 Updated by Loïc Dachary about 1 month ago

  • Assignee set to Loïc Dachary

#9 Updated by Quentin Gibeaux 24 days ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF